Results 1 to 7 of 7
  1. #1


    Member Since
    Apr 17, 2010
    Location
    Toronto, Canada.
    Posts
    139
    Specs:
    27" quad-core iMac, 8GB RAM, 2TB HD...15" MBP w/ 4GB RAM...etc.
    Adobe LR 2.0 and Snow Leopard
    Hi,

    I just received my new 27" iMac. Tried installing Lightroom 2.0. No luck.

    I noticed the box and PDF say it only supports up to 10.5. Tried installing 2.0 anyway 3x. No luck. Yet, I was able to install CS4 without troubles. The documentation for CS4 also said it only supports up to Mac OS X 10.5. Snow Leopard is 10.6. Am I out of luck here? Am I going to have to buy LR3? I assume LR3 supports 10.6.

  2. #2

    Doug b's Avatar
    Member Since
    Jun 22, 2008
    Location
    Forest Hills, NYC
    Posts
    3,343
    Specs:
    15-inch Early 2008; Processor 2.4 GHz Intel Core 2 Duo; Memory 4 GB 667 MHz DDR2 SDRAM; 10.7.5
    I really don't see why it wouldn't work. I know for a fact that I've had 10.6.4 with LR2 installed on it prior to updating. Not sure what is causing the problems. In fact, here's a list of compatible and non compatible software. LR2.4 checks out just fine:

    Mac OS X 10.6 Snow Leopard compatibility table - Snow Leopard Compatibility

    Doug

  3. #3


    Member Since
    Apr 17, 2010
    Location
    Toronto, Canada.
    Posts
    139
    Specs:
    27" quad-core iMac, 8GB RAM, 2TB HD...15" MBP w/ 4GB RAM...etc.
    Seems LR 2.0 is the one that is not compatible with 10.6.

    I posted this question on the Adobe company forum. Ended up downloading LR 2.7 and using my serial # (for 2.0...should have downloaded 3.0). Works.

    And about my 12-in-1 I did try the other ports on my iMac. Same thing. Read other devices. So maybe I bought the pre-2.0 USB version? Might go buy the new "dual-slot" Sandisk. Should work with all capacities and speeds if they had a 32GB 600x UDMA card in one for advertising.

  4. #4

    Doug b's Avatar
    Member Since
    Jun 22, 2008
    Location
    Forest Hills, NYC
    Posts
    3,343
    Specs:
    15-inch Early 2008; Processor 2.4 GHz Intel Core 2 Duo; Memory 4 GB 667 MHz DDR2 SDRAM; 10.7.5
    Quote Originally Posted by BDD888 View Post
    Seems LR 2.0 is the one that is not compatible with 10.6.

    I posted this question on the Adobe company forum. Ended up downloading LR 2.7 and using my serial # (for 2.0...should have downloaded 3.0). Works.

    And about my 12-in-1 I did try the other ports on my iMac. Same thing. Read other devices. So maybe I bought the pre-2.0 USB version? Might go buy the new "dual-slot" Sandisk. Should work with all capacities and speeds if they had a 32GB 600x UDMA card in one for advertising.
    Ah, see I assumed that you had actually downloaded the update (2.7). But I wasn't aware that 2.0 its self wouldn't install, which seems a bit odd still. You'll have to pay for the 3.0 version though because it's an upgrade, not just an update. It's also very well worth it. We're up to 3.3 now. Very fast, great noise reduction and other goodies as well. The entire algorithm in fact, has been re-worked and really shows in terms of sharpening and other editing.

    Doug

  5. #5


    Member Since
    Apr 17, 2010
    Location
    Toronto, Canada.
    Posts
    139
    Specs:
    27" quad-core iMac, 8GB RAM, 2TB HD...15" MBP w/ 4GB RAM...etc.
    Hi Doug,

    So we're up to LR 3.3 now. Will think it over. I'll have to buy the 3.0 upgrade then d/l the 3.3 update. The upgrade is only $105.00 CAD.

  6. #6

    IvanLasston's Avatar
    Member Since
    Feb 26, 2010
    Location
    Rocky Mountain High, Colorado
    Posts
    2,116
    Specs:
    1.8 GHz i7 MBA 11" OSX 10.8.2
    Also consider that Aperture is $80 US in the App store. I had LR 2.0 and bought Aperture 3.0. I am still trying to import files so the jury is out.
    http://itunes.apple.com/us/app/apert...08981426?mt=12

  7. #7


    Member Since
    Apr 17, 2010
    Location
    Toronto, Canada.
    Posts
    139
    Specs:
    27" quad-core iMac, 8GB RAM, 2TB HD...15" MBP w/ 4GB RAM...etc.
    I have aperture 2. Didn't like the GUI.

    I have since installed LR 2.7. Using that along with CS4. May later upgrade to LR 3 and CS5.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. Replies: 2
    Last Post: 08-10-2011, 03:00 PM
  2. Remove Snow Leopard Server and re-install Snow Leopard
    By b-rad in forum OS X - Operating System
    Replies: 4
    Last Post: 08-09-2011, 02:33 AM
  3. Snow Leaopard and MS Office and Adobe
    By artranch in forum OS X - Operating System
    Replies: 10
    Last Post: 11-19-2010, 09:43 AM
  4. snow leopard install causes adobe license expiration
    By poolprof in forum OS X - Operating System
    Replies: 1
    Last Post: 05-31-2010, 01:29 AM
  5. Adobe recommends Snow Leopard users download latest Flash Player
    By cwa107 in forum Apple Rumors and Reports
    Replies: 6
    Last Post: 09-03-2009, 09:33 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •